#
# spec file for package ghc-ghc-exactprint
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name ghc-exactprint
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.5.5.0
Release:        8.1
Summary:        ExactPrint for GHC
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-free-devel
BuildRequires:  ghc-ghc-boot-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-ghc-paths-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-syb-devel
%if %{with tests}
BuildRequires:  ghc-Diff-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-filemanip-devel
BuildRequires:  ghc-silently-devel
%endif

%description
Using the API Annotations available from GHC 7.10.2, this library provides a
means to round trip any code that can be compiled by GHC, currently excluding
lhs files.

It does this with a phased approach

* Delta - converts GHC API Annotations into relative offsets, indexed by
SrcSpan

* Transform - functions to facilitate changes to the AST, adjusting the
annotations generated in the Delta phase to suit the changes.

* Print - converts an AST and its annotations to properly formatted source
text.

* Pretty - adds annotations to an AST (fragment) so that the output can be
parsed back to the same AST.

Note: requires GHC 7.10.2 or later.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.5.5.0.
* Thu May 18 2017 psimons@suse.com
- Update to version 0.5.3.1 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.5.3.0 with cabal2obs.
* Mon Aug  1 2016 psimons@suse.com
- Update to version 0.5.2.1 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.5.1.1 revision 0 with cabal2obs.
